Google closes AdSense plugin for WordPress

In January of this year, after reports from several readers, we brought the news that the AdSense plugin for WordPress became incompatible with the latest version of the platform due to lack of updates.

According to usage data released by WordPress itself, at least 200,000 sites worldwide have experienced flaws or interruptions in the plugin’s operation – which has led hundreds of users to help forums.

After another lengthy period without major news, the AdSense team has now announced its future plans for the plugin: the platform will be discontinued from next May.

“We look at our products and features frequently to ensure they are adding the maximum value to our users. After reviewing the AdSense Plugin for WordPress, we’ve decided that we can better support WordPress editors through innovative new features such as automated ad formats and other future initiatives. As such, we will suspend the use of the AdSense Plugin for WordPress in May 2017, “Google said.

The company warns that suspension will prevent users from editing their ad settings or ad units within the plugin.

However, existing ads and layouts will not be affected, allowing ads to continue running on a regular basis.

Leave a Comment